"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ActivationResult {
    constructor() {
        this.setSuccess(null);
    }
    setSuccess(payload) {
        this.success = true;
        this.payload = payload;
        this.error = null;
        return true;
    }
    setError(error) {
        this.success = false;
        this.error = error;
        this.payload = null;
        return false;
    }
    isError() {
        return !this.isSuccess();
    }
    isSuccess() {
        return this.success === true;
    }
}
exports.ActivationResult = ActivationResult;
//# sourceMappingURL=activation.result.js.map