"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ExecuteActivationStatic {
    before(context) {
        const activationInfo = context.getActivation();
        const target = activationInfo.class.target;
        const result = target[activationInfo.method.name].apply(null, context.getArguments());
        return context.getResult().setSuccess(result);
    }
}
exports.ExecuteActivationStatic = ExecuteActivationStatic;
//# sourceMappingURL=execute.static.js.map