import { Container } from 'inversify';
import { InterceptorType } from './interceptor.data';
import { IAfterActivation } from './interfaces/i.after.activation';
import { IBeforeActivation } from './interfaces/i.before.activation';
import { IActivation } from './interfaces/i.context';
export declare class ActivationsGenerator {
    private readonly _classes;
    private readonly _allActivations;
    constructor();
    register(target: Function): ActivationsGenerator;
    addActivations(interceptor: Function | IAfterActivation | IBeforeActivation, type?: InterceptorType): ActivationsGenerator;
    generateActivations(container: Container): IActivation[];
    private _isBeforeActivation;
    private _isAfterActivation;
    private _addActivations;
}
