"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ExecuteActivation {
    before(context) {
        const activationInfo = context.getActivation();
        const container = context.getContainer();
        const targetInstance = container.get(activationInfo.class.target);
        const result = targetInstance[activationInfo.method.name].apply(targetInstance, context.getArguments());
        return context.getResult().setSuccess(result);
    }
}
exports.ExecuteActivation = ExecuteActivation;
//# sourceMappingURL=execute.js.map