import { Container } from 'inversify';
import { ActivationResult } from './activation.result';
import { IActivation, IContext } from './interfaces/i.context';
export declare class DefaultContext implements IContext {
    private readonly _container;
    private readonly _activation;
    private _result;
    private readonly _data;
    private _args;
    constructor(_container: Container, _activation: IActivation);
    execute(): Promise<any>;
    getActivation(): IActivation;
    getContainer(): Container;
    getResult(): ActivationResult;
    setResult(res: ActivationResult): void;
    getArguments(): any[];
    setArguments(args: any[]): void;
    getData<T>(key: string, defaultVal?: T): T;
    setData(key: string, data: any): void;
}
