import { IAfterActivation } from './interfaces/i.after.activation';
import { IBeforeActivation } from './interfaces/i.before.activation';
export declare enum InterceptorType {
    Before = 1,
    After = 2
}
export declare class InterceptorData {
    target: Function | IAfterActivation | IBeforeActivation;
    instance: Record<string, any>;
    type: number;
    metadata: any;
    createInstance(): void;
}
